This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 826309 - Usability: Pressing Enter in Find Project Version should Search
Usability: Pressing Enter in Find Project Version should Search
Status: CLOSED CURRENTRELEASE
Product: Zanata
Classification: Community
Component: Usability (Show other bugs)
1.6-SNAPSHOT
Unspecified Unspecified
unspecified Severity low
: ---
: 1.6.1
Assigned To: Carlos Munoz
Ding-Yi Chen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-29 20:57 EDT by Sean Flanigan
Modified: 2012-07-03 01:27 EDT (History)
2 users (show)

See Also:
Fixed In Version: 1.6.1-SNAPSHOT (20120608-0019)
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-03 01:27:46 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sean Flanigan 2012-05-29 20:57:22 EDT
Usability: Pressing Enter in Find Project Version should trigger search, not close the search window.


Version-Release number of selected component (if applicable):
Zanata version 1.6.0-beta-2-SNAPSHOT (20120530-0019)
Comment 1 Carlos Munoz 2012-06-04 01:38:45 EDT
Added a function to capture the enter key on the text field and submit the form instead of closing the dialog.

Testing notes:
Go to "Groups" and select a group.
Click on "Add Project Versions". The project version search dialog should open.
Type a search term and hit 'Enter'.
The dialog should perform the search and it should remain open.

See:
http://github.com/zanata/zanata/commit/3cdfa30c24e4cc7ec4cfb4e6e19de1edcdb2ad13
Comment 2 Ding-Yi Chen 2012-06-11 21:22:46 EDT
VERIFIED with Zanata version 1.6.1-SNAPSHOT (20120608-0019)

Note You need to log in before you can comment on or make changes to this bug.